miércoles, 21 de agosto de 2013

La nueva versión - Bootstrap 3


En el mes de Julio del 2013 ha salido la nueva versión de Bootstrap concretamente la 3.0, Bootstrap es un framework front-end liberado por twitter que facilita y agiliza la construcción de páginas web, esta librería requiere de Jquery para su correcto funcionamiento, también hace uso de algunos plugins interactivos de Jquery UI, implementa los estándares HTML5 y CSS3 y alternativas de ajuste para browsers que no son compatibles con los nuevos estándares, una de las características más importante es el responsive design que  permite que se adapte a la resolución de cualquier dispositivo, incluyendo los dipositivos móviles, este Framework está en continuo crecimiento,  gracias a la aportación y colaboración de la comunidad Bootstrap. Algunas plataformas como Wordpress o Joomla se han decidido por implementarlo.

Una característica que hace atractivo el uso de Bootstrap es su diseño elegante y la gran variedad de plantillas existentes, la opción de diseñarlo tu mismo en la misma web de bootstrap a  través de Customize o bien buscando themes en la red, que hay muchos, tanto de pago como free, eso sí, hay que tener en cuenta que el theme esté  diseñado para la nueva versión 3.0, ya que de lo contrario obtendrás algunos errores.

Tiene una serie de clases predefinidas y componentes .js que permiten estilizar e interactuar con los elementos de la web con gran facilidad; menús, tablas, listas, imágenes, elementos  de formulario, cuadros de diálogo, etc ..., esta nueva versión no es compatible en su totalidad con las anteriores, introduce nuevas clases y modifica otras y por otro lado se han eliminado clases de versiones anteriores ...

Bootstrap 3


Internet Explorer 8 y 9 también son compatibles, sin embargo, debe tenerse en cuenta que muchas propiedades de CSS3,  por ejemplo, las esquinas redondeadas y sombras no son compatibles con IE8.

El atributo placeholder tampoco se admite en ninguna de estas versiones.

Otra aspecto que se recomienda en esta nueva versión es colocar la siguiente meta etiqueta para que reconozca la versión  más actual del navegador, esta meta etiqueta se debe colocar justo después de head de lo contrario será omitida ...

<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
...


En fin, esta nueva versión promete mucho y creo que es aconsejable echarle un vistazo ...

http://getbootstrap.com/

Saludos.